package com.hz.pm.api.common.util;

import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.ThreadPoolExecutor;

/**
 * <p>
 * ThreadPoolUtil
 * </p>
 *
 * @author WendyYang
 * @since 2023/10/27
 **/
public class ThreadPoolUtil {

    private ThreadPoolUtil() {
    }

    public static final ThreadPoolTaskExecutor REQUEST;

    static {
        REQUEST = new MDCThreadPoolTaskExecutor();
        REQUEST.setCorePoolSize(5);
        REQUEST.setMaxPoolSize(15);
        REQUEST.setQueueCapacity(300);
        REQUEST.setKeepAliveSeconds(120);
        REQUEST.setThreadNamePrefix("requestAsyncExecutor-");
        REQUEST.setRejectedExecutionHandler(new ThreadPoolExecutor.CallerRunsPolicy());
        REQUEST.initialize();
    }

}
