package com.hz.pm.api.projectdeclared.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * <p>
 * Operation
 * </p>
 *
 * @author WendyYang
 * @since 09:36 2024/2/23
 */
@Data
@TableName("nd_project_operation")
@ApiModel(value = "实施对象")
public class Operation {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人ID")
    private String createBy;

    @ApiModelProperty("修改人ID")
    private String updateBy;

    @ApiModelProperty("项目开工时间")
    private LocalDateTime projectStartDate;

    @ApiModelProperty("初验时间")
    private LocalDateTime initialInspectionDate;

    @ApiModelProperty("终验时间")
    private LocalDateTime finalInspectionDate;

    @ApiModelProperty("开始实施时间")
    private LocalDateTime startTrialOperationDate;

    @ApiModelProperty("试运行开始时间")
    private LocalDateTime pilotRunStartDate;

}
