package com.hz.pm.api.projectdeclared.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * <p>
 * OperationVO
 * </p>
 *
 * @author WendyYang
 * @since 09:28 2024/2/23
 */
@Data
@ApiModel(value = "实施对象")
public class OperationVO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("项目Code")
    private String projectCode;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人 工号")
    private String createBy;

    @ApiModelProperty("修改人 工号")
    private String updateBy;

    @ApiModelProperty("项目开工时间")
    private LocalDateTime projectStartDate;

    @ApiModelProperty("初验时间")
    private LocalDateTime initialInspectionDate;

    @ApiModelProperty("终验时间")
    private LocalDateTime finalInspectionDate;

    @ApiModelProperty("标段ID")
    private Long bidId;

    @ApiModelProperty("试运行开始时间")
    private LocalDateTime pilotRunStartDate;

    @ApiModelProperty("开始实施时间")
    private LocalDateTime startTrialOperationDate;

}
